# List API changelog entries

Returns API changelog entries, one page at a time.

```http
GET https://api.pozy.ai/v1/changelog
```

- Area: Workspace / Changelog
- Auth: none (public endpoint)

## Query parameters

- `type` (string): one of new_feature, breaking_change, improvement, deprecation, minor
- `impact` (string): one of none, additive, action_required
- `platform` (string)
- `before` (string (date-time))
- `limit` (integer)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/changelog?limit=20"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/changelog?limit=20");
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/changelog",
    params={
        "limit": 20,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `entries`, array of object, required
  - `id`, string, required
  - `type`, string, required: One of `new_feature`, `breaking_change`, `improvement`, `deprecation`, `minor`
  - `impact`, string, required: One of `none`, `additive`, `action_required`. Can be null
  - `platforms`, array of string, required
  - `title`, string, required: Can be null
  - `summary`, string, required: Can be null
  - `message`, string, required
  - `publishedAt`, string (date-time), required
  - `specVersion`, string, required: Can be null
  - `url`, string (URL), required
  - `changes`, object, required
    - `endpoints`, object, required
      - `added`, array of object, required
        - `method`, string, required
        - `path`, string, required
        - `operationId`, string
        - `tags`, array of string
        - `xPlatforms`, array of string
      - `removed`, array of object, required
        - `method`, string, required
        - `path`, string, required
        - `operationId`, string
        - `tags`, array of string
        - `xPlatforms`, array of string
      - `modified`, array of object, required
        - `method`, string, required
        - `path`, string, required
        - `operationId`, string
        - `tags`, array of string
        - `xPlatforms`, array of string
    - `schemas`, object, required
      - `added`, array of string, required
      - `removed`, array of string, required
      - `modified`, array of string, required
- `nextCursor`, string (date-time), required: Can be null

```json
{
  "entries": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "type": "new_feature",
      "impact": "none",
      "platforms": [
        "instagram"
      ],
      "title": "Launch day",
      "summary": "string",
      "message": "Hello from Pozy",
      "publishedAt": "2026-10-02T09:00:00.000Z",
      "specVersion": "string",
      "url": "https://pozy.ai/media/example-1.jpg",
      "changes": {
        "endpoints": {
          "added": [
            {
              "method": "string",
              "path": "string",
              "operationId": "67862eb877261ce93b8e9e39",
              "tags": [
                "string"
              ],
              "xPlatforms": [
                "instagram"
              ]
            }
          ],
          "removed": [
            {
              "method": "string",
              "path": "string",
              "operationId": "67862eb877261ce93b8e9e39",
              "tags": [
                "string"
              ],
              "xPlatforms": [
                "instagram"
              ]
            }
          ],
          "modified": [
            {
              "method": "string",
              "path": "string",
              "operationId": "67862eb877261ce93b8e9e39",
              "tags": [
                "string"
              ],
              "xPlatforms": [
                "instagram"
              ]
            }
          ]
        },
        "schemas": {
          "added": [
            "string"
          ],
          "removed": [
            "string"
          ],
          "modified": [
            "string"
          ]
        }
      }
    }
  ],
  "nextCursor": "2026-10-02T09:00:00.000Z"
}
```
